När Adobe uppdaterar Acrobat och Reader så gör man det ordentligt. Med den senaste uppdateringen åtgärdas hela 47 sårbarheter. Av dessa är 24 stycken olika typer av sårbarheter som möjliggör oönskad körning av kod.

Ett problem med den här typen av sårbarheter är att de påverkar ett stort antal versioner av de olika Adobeprogram som finns i bruk. För att ta en enda sårbarhet (CVE-2018-4994, som betecknar en möjlighet att komma runt inloggning) som exempel så listar sajten Securityfocus 45 olika versioner vardera av Acrobat Reader DC och Acrobat DC, sex versioner av Acrobat, samt tio versioner av Connect, som påverkas. Sju versioner av de olika programmen ska inte påverkas av den här sårbarheten.

Läs också: GDPR: Här är allt du behöver veta om EU:s nya dataskyddsregler

Det säger sig självt att det kan bli jobbigt att hantera patchning på ett stort företag, där olika versioner av Adobes program används.

Enligt Adobe har ingen av sårbarheterna utnyttjats, skriver The Register. Hur man nu kan veta det. Att det handlar om ett stort antal sårbarhet gör naturligtvis att det blir svårare att övervaka om de har utnyttjats eller inte.

Den enda rimliga strategin för användare av Adobes olika pdf-program är att uppdatera till de senaste versionerna som har släppts. Ett annan möjlig strategi är att använda alternativa pdf-program från andra leverantörer än Adobe.

Även Photoshop omfattas av den här uppdateringen och i förra veckan släpptes en uppdatering av Flash.